Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.events
Class CompositeEventListener

    java.lang.Object
      org.apache.fop.events.CompositeEventListener

All Implemented Interfaces:
  java.util.EventListener

    public class CompositeEventListener

extends java.lang.Object
implements EventListener

EventListener implementation forwards events to possibly multiple other EventListeners.

Constructor Summary
`CompositeEventListener()`

Method Summary
`void` | `addEventListener(EventListener listener)` Adds an event listener to the broadcaster.
`boolean` | `hasEventListeners()` Indicates whether any listeners have been registered with the broadcaster.
`void` | `processEvent(Event event)` This method is called for each event that is generated.
`void` | `removeEventListener(EventListener listener)` Removes an event listener from the broadcaster.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeEventListener

    public CompositeEventListener()

Method Detail

### addEventListener

    public void addEventListener(EventListener listener)

  Adds an event listener to the broadcaster. It is appended to the list of previously registered listeners (the order of registration defines the calling order).

  Parameters:
    `listener` - the listener to be added

### removeEventListener

    public void removeEventListener(EventListener listener)

  Removes an event listener from the broadcaster. If the event listener is not registered, nothing happens.

  Parameters:
    `listener` - the listener to be removed

### hasEventListeners

    public boolean hasEventListeners()

  Indicates whether any listeners have been registered with the broadcaster.

  Returns:
    true if listeners are present, false otherwise

### processEvent

    public void processEvent(Event event)

  This method is called for each event that is generated. With the event's ID it is possible to react to certain events. Events can also simply be recorded and presented to a user. It is possible to throw an (unchecked) exception if the processing needs to be aborted because some special event occurred. This way the client can configure the behaviour of the observed application.

  Parameters:
    `event` - the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.